package org.wfc.omada.api.device.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * OnlineUpgradeRes
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:26:25.576+08:00[Asia/Shanghai]")

public class OnlineUpgradeRes   {
  @JsonProperty("finished")
  private Boolean finished;

  @JsonProperty("success")
  private Boolean success;

  public OnlineUpgradeRes finished(Boolean finished) {
    this.finished = finished;
    return this;
  }

  /**
   * Whether the task is complete
   * @return finished
  */
  @ApiModelProperty(value = "Whether the task is complete")


  public Boolean getFinished() {
    return finished;
  }

  public void setFinished(Boolean finished) {
    this.finished = finished;
  }

  public OnlineUpgradeRes success(Boolean success) {
    this.success = success;
    return this;
  }

  /**
   * Whether the task is successful
   * @return success
  */
  @ApiModelProperty(value = "Whether the task is successful")


  public Boolean getSuccess() {
    return success;
  }

  public void setSuccess(Boolean success) {
    this.success = success;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    OnlineUpgradeRes onlineUpgradeRes = (OnlineUpgradeRes) o;
    return Objects.equals(this.finished, onlineUpgradeRes.finished) &&
        Objects.equals(this.success, onlineUpgradeRes.success);
  }

  @Override
  public int hashCode() {
    return Objects.hash(finished, success);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class OnlineUpgradeRes {\n");
    
    sb.append("    finished: ").append(toIndentedString(finished)).append("\n");
    sb.append("    success: ").append(toIndentedString(success)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

